# hls-car-vue

> A Vue.js project

## Build Setup

``` bash
# install dependencies
yarn install

# serve with hot reload at localhost:8080
npm run dev

# build for uat with minification
npm run build:uat

# build for production with minification
npm run build

# build for production and view the bundle analyzer report
npm run build --report
```

For a detailed explanation on how things work, check out the [guide](http://vuejs-templates.github.io/webpack/) and [docs for vue-loader](http://vuejs.github.io/vue-loader).


### 文件命名规范

1. 文件夹全部采用驼峰命名法，即首字母小写后面每个单词首字母大写

2. 文件名全部采用驼峰命名法,如 **userInfo.vue,userInfoDetail.vue**,

3. 路由的注册 `import` 语句后的单词采用 Pascal命名法，所有单词的首字母大写，其余字母小写，单词与单词之间不使用任何符号风格。如

  ```javascript
  import HomeManager from '@/pages/homeManager/homeManager'
  import UserInfo from '@/pages/userInfo/userInfo'
  import UserInfoDetail from '@/pages/userInfo/userInfoDetail'
  ```

4. 实际路由注册需安照如下写法，`path`为 `/tab/文件名`,`/tab`是否保留视实际情况而定。`component`后接的单词需和`import`的单词保持一致,`name`后接的单词也需和`import`的单词保持一致

  ```javascript
  {path: "/tab/homeManager", component: HomeManager, name: 'HomeManager', meta: {keepAlive: true}},
  {path: '/tab/userInfo', component: UserInfo, name: 'UserInfo', meta: {keepAlive: true}},
  ```

### 组件的使用

 参考home页面
 详细的用法参考插件的源码

### 开发说明

 1. 项目开发中中入口页面必须为home页面
 
 2. 在home页面的created函数中调用登录接口用于根据海马汇的个人信息获取业务系统的个人信息

